Bug 1489377 - [RFE] Provide warning for unsupported PXE loader combinations
Summary: [RFE] Provide warning for unsupported PXE loader combinations
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: Roman Plevka
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: FutureFeature, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 10:02 UTC by Roman Plevka
Modified: 2019-04-01 20:26 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-10-16 15:28:43 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:30 UTC
Foreman Issue Tracker 19554 None None None 2017-09-07 11:03 UTC

Description Roman Plevka 2017-09-07 10:02:34 UTC
Users very often try to provision RHEL 6 with Grub2 in UEFI which leads to boot loading errors (bacically Grub2 prompt or kernel panic).

We need a warning next to PXE Loader flag in the UI if there is known combination of OS and loader that does not work. These currently are:

* RHEL 6.x and Grub2
* RHEL 7.x and Grub1
* Ubuntu 10.x or older and Grub2
* Ubuntu 11.x or newer and Grub1
* Debian 2-6 and Grub2
* Debian 7+ and Grub1

This can be as simple as regular expression and a warning message showing up next to the field in the UI. No actions must be taken. A global setting should be present which will turn this feature of in case user do not want to see these warnings.

Comment 1 Roman Plevka 2017-09-07 10:02:37 UTC
Created from redmine issue http://projects.theforeman.org/issues/19554

Comment 2 Roman Plevka 2017-09-07 10:02:42 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 4 pm-sat@redhat.com 2017-09-07 12:08:36 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/19554 has been resolved.

Comment 5 Roman Plevka 2018-07-17 13:10:55 UTC
VERIFIED
on sat6.4.0-12

the warning is now present next to the pxe loader dropdown.

Comment 7 errata-xmlrpc 2018-10-16 15:28:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.